Install Gitea on FreeBSD
11/30/2020 11:09 PM - Daniel Curtis

Status: Closed Start date: 11/30/2020
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Source Code Management Estimated time: 0.00 hour
Target version: FreeBSD 12 Spent time: 0.00 hour
Description

This is a guide for setting up Gitea with PostgreSQL on FreeBSD 12.

Prepare the Environment

o Make sure the system is up to date:

pkg update && pkg upgrade

Setup PostgreSQL

e Install PostgreSQL:
pkg install postgresgl96-{client,server, contrib}
e |nitialize, start, and enable postgresqgl at boot:

sysrc postgresqgl_enable="YES"
service postgresgl initdb
service postgresgl start

e Log in to postgresql user account and connect to database:

su — postgres
psgl —-d templatel

e Create a user:
CREATE USER gitea WITH PASSWORD 'SuperSecretPassword' CREATEDB;
e Create the database & grant all privileges on database

CREATE DATABASE giteadb WITH OWNER gitea TEMPLATE template0 ENCODING UTF8 LC_COLLATE
F-8' LC_CTYPE 'en US.UTF-8';

e Quit the database session

\q
exit
Setup Gitea

¢ Install the dependencies
pkg install gitea
e Edit the app.ini file:

vi /usr/local/etc/gitea/conf/app.ini

o Modify the following values:

[database]

DB_TYPE = postgres

HOST = 127.0.0.1:5432

NAME = giteadb

PASSWD = SuperSecretPassword
SSL_MODE = disable

USER = gitea

[server]

DOMAIN = 192.168.0.54
HTTP_ADDR = 192.168.0.54
HTTP_PORT = 3000

ROOT_URL = http://192.168.0.54:3000/

e Start and enable gitea:

sysrc 'gitea_enable=YES'
service gitea start

* Open a web browser and go to http://192.168.0.54:3000

Resources

* https://docs.qgitea.io/en-us/install-from-source/
e https://docs.qgitea.io/en-us/database-prep/

History

#1 - 12/01/2020 12:47 AM - Daniel Curtis

- Description updated

- Category set to Source Code Management
- Status changed from New to Resolved

- Assignee set to Daniel Curtis

- Target version set to FreeBSD 12

- % Done changed from 0 to 100

#2 - 02/18/2022 08:07 PM - Daniel Curtis

- Status changed from Resolved to Closed
